HP LaserJet Pro P1566 :  foo2zjs - foo2hp - foo2xqx - foo2lava - foo2qpdl - foo2oak
Support for linux printer drivers
The fastest message board... ever.
 
Corrupted print result with n-up printing [solved; gs must be <9.00 or >=9.01]
Posted by: vmiklos ()
Date: January 13, 2012 09:57AM

Hi,

I've installed manually (from the website) foo2zjs 2011_12_27 on openSUSE 12.1 x86_64, and test page works fine. Also in general, looks like normal printing works as well. Now today I had a longer pdf and wanted n-up printing (from okular, selecting 2 pages on a sheet), and it worked, but the result was corrupted.

Here is a good result:

https://lh3.googleusercontent.com/-QkYH7ICzsUk/TxBErGMeKWI/AAAAAAAAA9w/t7C6DuQiCs0/I/2012-01-13%25252015.50.09.jpg

Here is a bad one:

https://lh4.googleusercontent.com/-QI4gw7aN0Jk/TxBEmuCNIII/AAAAAAAAA9o/GmKCfm97GXs/I/2012-01-13%25252015.49.49.jpg

As far as I see I can reproduce this with any PDF, but in case needed, I can share the test document as well.

Do you have any idea what may cause the problem? Originally psutils was not installed, I installed it, restarted cups, but the situation did not change.

Thanks!



Edited 1 time(s). Last edit at 01/13/2012 11:52AM by rickrich.

Options: ReplyQuote
Re: Corrupted print result with n-up printing
Posted by: rickrich ()
Date: January 13, 2012 10:20AM

What is your gs or gs.foo version?

$ gs -version
GPL Ghostscript 8.71 (2010-02-10)
Copyright (C) 2010 Artifex Software, Inc. All rights reserved.

???

Options: ReplyQuote
Re: Corrupted print result with n-up printing
Posted by: rickrich ()
Date: January 13, 2012 11:51AM

Oh. I found it:

ghostscript-cjk-20050315-155.144.1
ghostscript-devel-9.00-13.1
ghostscript-fonts-other-9.00-13.1
ghostscript-fonts-rus-9.00-13.1
ghostscript-fonts-std-9.00-13.1
ghostscript-ijs-devel-9.00-13.1
ghostscript-library-9.00-13.1
ghostscript-x11-9.00-13.1

See Ghostscript 9.00 is broken with landscape fonts

Options: ReplyQuote
Re: Corrupted print result with n-up printing
Posted by: vmiklos ()
Date: January 13, 2012 06:10PM

Thanks a lot, that was it! :)

For the reference, the command to upgrade to 9.04:

zypper -p http://download.opensuse.org/repositories/Printing:/ghostscript/openSUSE_12.1/ in ghostscript-library-9.04-66.1.x86_64 ghostscript-x11-9.04-66.1.x86_64 ghostscript-fonts-std-9.04-66.1.noarch ghostscript-fonts-other-9.04-66.1.noarch

Then landscape fonts work fine.

Options: ReplyQuote


Sorry, only registered users may post in this forum.
This forum powered by Phorum.